<div class="big_topics bor_top round3 FFF hr"><?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';

$summ = $_GET["summa"];
$user_mail = $_GET["user_mail"];
$tovar = $_GET["tovar"];
$key = $_GET["key"];

$config_pos = $pdo->Query("SELECT * from php_tovar WHERE id = '" . $tovar. "' and cena = '" . $summ. "' LIMIT 1")->fetch(PDO::FETCH_BOTH);

$key_tovar = sha1($config_pos['cena'].$config_pos['id']);

$key1 = sha1($summ.$tovar);


if($key == $key1 && $key_tovar)
{
$slq = $pdo->Query("SELECT * FROM `php_user` WHERE `id` = '" . $_SESSION['id'] . "'");
$co_user = $slq->Fetch();

if($summ <= $co_user['money'] ) {




if($_GET["ok"] == "Купить"){

$sqlq = $pdo->Query("SELECT * FROM `php_user` WHERE `id` = '" . $config_pos['user'] . "'");
$stat = $sqlq->Fetch();

$slq = $pdo->Query("SELECT * FROM `php_user` WHERE `id` = '" . $_SESSION['id'] . "'");
$buyu = $slq->Fetch();

$summa = ($summ - ($summ * $stat['percent']));

$config_upload = $pdo->Query("SELECT * from php_upload WHERE tovar = '" . $tovar. "' LIMIT 1")->fetch(PDO::FETCH_BOTH);

$pdo->Query("INSERT INTO `php_buy` VALUES('', '" . $buyu['email'] . "', '" . $config_pos['title'] . "', '" . $config_upload['hash'] . "', '" . real_IP() . "', '" . time() . "')");

$pdo->Query("INSERT INTO `php_history` VALUES('', '" . $config_pos['user'] . "', '$summa', '" . time() . "', '" . $config_pos['title'] . "')");

$pdo->Query("INSERT INTO `php_pokupki` VALUES('', '$user_mail', '$tovar', '$summ',  '" . real_IP() . "',  '" . $key . "')");

$pdo->Query("UPDATE `php_user` SET `money` = `money` - '$summ', `reyt` = `reyt` + '0.05' WHERE `id` = '" . $_SESSION['id'] . "'");

$pdo->Query("UPDATE `php_user` SET `money` = `money` + '$summa', `buy_ok` = `buy_ok` + '1', `reyt` = `reyt` + '0.20' WHERE `id` = '" . $config_pos['user'] . "'");

$pdo->Query("UPDATE `php_tovar` SET `buy` = `buy` + '1' WHERE `id` = '" . $_GET["tovar"] . "'");


$summa_p = ($summ - ($summ * $stat['part_pecent']));

$viruchka_p = $summ - $summa_p;

  if ( $buyu['partner'] != 0 ) {


   $pdo->Query("UPDATE `php_user` SET `money` = `money` + '" .$viruchka_p . "', `money_part` = `money_part` + '" .$viruchka_p . "', `reyt` = `reyt` + '0.05' WHERE `id` = '" . $buyu['partner'] . "'");


   /*---Создаем статистику по дням---*/
    if ( empty( $buyu['part_statistic'] ) ) {
        $array[date( 'dmY' )] = $viruchka_p;
        $pdo->Query( "UPDATE php_user SET part_statistic = '" . serialize( $array ) . "' WHERE id = '" . $buyu['partner'] . "' LIMIT 1" );
    } else {
        $array = unserialize( $buyu['part_statistic'] );
        if ( array_key_exists( date( 'dmY' ), $array ) ) {
            $arrayValue = $array[date( 'dmY' )];
            $arrayValueNew = array( date( 'dmY' ) => $arrayValue + $viruchka_p );
            $array = array_replace( $array, $arrayValueNew );
            $pdo->Query( "UPDATE php_user SET part_statistic = '" . serialize( $array ) . "' WHERE id = '" . $buyu['partner'] . "' LIMIT 1" );
        } else {
            $array[date( 'dmY' )] = $viruchka_p;
            $pdo->Query( "UPDATE php_user SET part_statistic = '" . serialize( $array ) . "' WHERE id = '" . $buyu['partner'] . "' LIMIT 1" );
        }
    }



 }

/*---Создаем статистику по дням---*/
    if ( empty( $stat['statistic'] ) ) {
        $array[date( 'dmY' )] = $summa;
        $pdo->Query( "UPDATE php_user SET statistic = '" . serialize( $array ) . "' WHERE id = '" . $config_pos['user'] . "' LIMIT 1" );
    } else {
        $array = unserialize( $stat['statistic'] );
        if ( array_key_exists( date( 'dmY' ), $array ) ) {
            $arrayValue = $array[date( 'dmY' )];
            $arrayValueNew = array( date( 'dmY' ) => $arrayValue + $summa );
            $array = array_replace( $array, $arrayValueNew );
            $pdo->Query( "UPDATE php_user SET statistic = '" . serialize( $array ) . "' WHERE id = '" . $config_pos['user'] . "' LIMIT 1" );
        } else {
            $array[date( 'dmY' )] = $summa;
            $pdo->Query( "UPDATE php_user SET statistic = '" . serialize( $array ) . "' WHERE id = '" . $config_pos['user'] . "' LIMIT 1" );
        }
    }


}






$sqlqs = $pdo->Query("SELECT * FROM `php_engine` WHERE `id` = '1'");
$refdata = $sqlqs->Fetch();
$smtp_port = $refdata['smtp_port'];
$port = $refdata['port'];
$smtp_email = $refdata['smtp_email'];
$password = $refdata['password'];

 $message = '
        <html>
        <head>
        <title>Продажа товара i-eshop</title>
        <style type="text/css">
        html, body {
            margin:0;
            margin-left:5px;
            padding:0;
            font-size:12px;
        }
        p {
            margin:0;
            padding:3px;
        }
        </style>
        </head>
        <body>
        <p>Здравствуйте, <b>' . $stat['login'] . '</b>.</p>
        <p>--------------------------------------------------------------------------</p>
        У вас купили товар: <b>' . $config_pos['title'] . '</b> вам начислено ' . $summa . ' руб.
        <p>--------------------------------------------------------------------------</p>
        <p>Письмо отправлено автоматически. На него отвечать не нужно.</p>
        </body>
        </html>';

        $m = new Mail;
        $m->From( 'Продажа товара;' . $smtp_email ); // от кого отправляется почта
        $m->To( $stat['email'] ); // кому адресованно
        $m->Subject( 'Продажа товара ' . $_SERVER["HTTP_HOST"] );
        $m->Body( $message );
        //$m->Cc( "copy@asd.com"); // копия письма отправится по этому адресу
        //$m->Bcc( "bcopy@asd.com"); // скрытая копия отправится по этому адресу
        $m->Priority( 3 ); // приоритет письма
        //$m->Attach( "asd.gif","", "image/gif" ) ; // прикрепленный файл
        $m->smtp_on( $smtp_port, $smtp_email, $password, $port ); // если указана эта команда, отправка пойдет через SMTP
        $m->Send(); // а теперь пошла отправка


        $viruchka = $summ - $summa;


        $messag = '
        <html>
        <head>
        <title>Продан товар в магазине</title>
        <style type="text/css">
        html, body {
            margin:0;
            margin-left:5px;
            padding:0;
            font-size:12px;
        }
        p {
            margin:0;
            padding:3px;
        }
        </style>
        </head>
        <body>
        <p>Уведомление о продаже товара на сайте</b>.</p>
        <p>--------------------------------------------------------------------------</p>
        Продан товар: <b>' . $config_pos['title'] . '</b> прибыль ' . $viruchka . ' руб.
        <p>--------------------------------------------------------------------------</p>
        <p>Письмо отправлено автоматически. На него отвечать не нужно.</p>
        </body>
        </html>';

        $m = new Mail;
        $m->From( 'Продан товар на сайте I-ESHOP;' . $smtp_email ); // от кого отправляется почта
        $m->To( 'ieshop32@gmail.com' ); // кому адресованно
        $m->Subject( 'Продан товар на сайте ' . $_SERVER["HTTP_HOST"] );
        $m->Body( $messag );
        //$m->Cc( "copy@asd.com"); // копия письма отправится по этому адресу
        //$m->Bcc( "bcopy@asd.com"); // скрытая копия отправится по этому адресу
        $m->Priority( 3 ); // приоритет письма
        //$m->Attach( "asd.gif","", "image/gif" ) ; // прикрепленный файл
        $m->smtp_on( $smtp_port, $smtp_email, $password, $port ); // если указана эта команда, отправка пойдет через SMTP
        $m->Send(); // а теперь пошла отправка



        $kupl = '
        <html>
        <head>
        <title>Ваша покупка в магазине I-ESHOP</title>
        <style type="text/css">
        html, body {
            margin:0;
            margin-left:5px;
            padding:0;
            font-size:12px;
        }
        p {
            margin:0;
            padding:3px;
        }
        </style>
        </head>
        <body>
        <p>Ваша покупка в магазине I-ESHOP</b>.</p>
        <p>--------------------------------------------------------------------------</p>
        Ваш купленный товар: <b>' . $config_pos['title'] . '</b><br />
        <b>Скачать товар можно <a href="http://akclub.ru/load/' . $config_upload['hash'] . '" style="text-decoration:none;">тут...</a></b><br />
        Спасибо за покупку, приходите еще, всегда вам буду рад(а)! Продавец ' . $stat['login'] . '.
        <p>--------------------------------------------------------------------------</p>
        <p>Письмо отправлено автоматически. На него отвечать не нужно.</p>
        </body>
        </html>';

        $m = new Mail;
        $m->From( 'Ваша покупка в магазине I-ESHOP;' . $smtp_email ); // от кого отправляется почта
        $m->To( $buyu['email'] ); // кому адресованно
        $m->Subject( 'Ваша покупка в магазине I-ESHOP ' . $_SERVER["HTTP_HOST"] );
        $m->Body( $kupl );
        //$m->Cc( "copy@asd.com"); // копия письма отправится по этому адресу
        //$m->Bcc( "bcopy@asd.com"); // скрытая копия отправится по этому адресу
        $m->Priority( 3 ); // приоритет письма
        //$m->Attach( "asd.gif","", "image/gif" ) ; // прикрепленный файл
        $m->smtp_on( $smtp_port, $smtp_email, $password, $port ); // если указана эта команда, отправка пойдет через SMTP
        $m->Send(); // а теперь пошла отправка


        echo '<div class="success" style="width: 90%; margin: 10px auto; text-align: center;font-weight:bold">Вы успешно купили товар!</div>';
        ?><script>  setTimeout( "location='/mybuy';", 3000 ); </script><?
 } else {
  echo '<div class="error" style="width: 90%; margin: 10px auto; text-align: center;font-weight:bold">На вашем счету недостаточно средств для покупки!<br />Пополните ваш счёт!</div>';
   ?><script>  setTimeout( "location='/payment';", 3000 ); </script><?
 }




}else{
echo $key_tovar;
echo "ERROR";
exit();
}

?>
</div>
